<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<f:metadata>
	<f:event listener="#{beanSegLogin.actionVerificarLogin()}"
		type="preRenderView"></f:event>
</f:metadata>
<h:head></h:head>
<body>
	<p:growl>
		<p:autoUpdate/>
	</p:growl>
	<h:form>
		<p:menubar>
			<p:menuitem value="Regresar" icon="pi pi-home" action="menu" />
			<f:facet name="options">
				<p:menuButton value="#{beanSegLogin.loginDTO.correo}"
					icon="pi pi-user">
					<p:menuitem value="Perfil" icon="pi pi-cog"></p:menuitem>
					<p:menuitem value="Cerrar sesión" icon="pi pi-sign-out"
						action="#{beanSegLogin.actionCerrarSesion()}"></p:menuitem>
				</p:menuButton>
			</f:facet>
		</p:menubar>
		<p:staticMessage severity="info" summary="Tareas de:"></p:staticMessage>
		<h:outputText value=" #{beanPryLider.proyectoSeleccionado.nombre}" />
	</h:form>
	<div>
	<h:form>
		<p:panelGrid columns="2">
			
			<h:outputText value="Fecha de inicio:" />
			<p:calendar value="#{beanPryLider.nuevaTarea.fechaInicio}"/>

			<h:outputText value="Cliente" />
				<p:selectOneMenu value="#{beanUniVendedor.nuevaProforma.uniCliente}">
					<f:selectItem itemLabel="Selecione..." noSelectionOption="true"/>
					<f:selectItems value="#{beanUniVendedor.listaClientes}" var="c" 
					itemLabel="#{c.correo}" itemValue="#{c.idSegUsuario}"/>
				</p:selectOneMenu>
			<h:outputText value="Prenda" />
				<p:selectOneMenu value="#{beanUniVendedor.nuevaProforma.uniUniformes.}">
					<f:selectItem itemLabel="Selecione..." noSelectionOption="true"/>
					<f:selectItems value="#{beanUniVendedor.listaUniformes}" var="u" 
					itemLabel="#{u.uniModelo}" itemValue="#{u.uniId}"/>
				</p:selectOneMenu>
			<h:outputText value="Fecha de entrega:" />
			<p:calendar value="#{beanUniVendedor.nuevaProforma.proFechaentrega}"/>
			<h:outputText value="Cantidad" />
			<p:inputText  value="#{beanUniVendedor.nuevaProforma.proTotal}" required="true" requiredMessage="Debe poner un nombre"/>
			<p:commandButton  icon="pi pi-save" update="@form,:formTabla"
			actionListener="#{beanPryLider.actionListenerInsertarTarea()}"/>
		</p:panelGrid>
	</h:form>
	<h:form id="formTabla">

		<p:dataTable value="#{beanPryLider.listaTareas}" var="t">
			<p:column headerText="ID" style="width:40px">
				<h:outputText value="#{t.idPryTarea}"/>
			</p:column>
			<p:column headerText="NOMBRE">
							<h:outputText  value="#{t.nombre}"/>
			
			</p:column>
			<p:column headerText="FECHA INICIO">
							<h:outputText  value="#{t.fechaInicio}"/>
			
			</p:column>
			<p:column headerText="FECHA FIN">
							<h:outputText  value="#{t.fechaFin}"/>
			
			</p:column>
			<p:column headerText="ANALISTA">
							<h:outputText  value="#{t.segUsuario.correo}"/>
			
			</p:column>
			<p:column headerText="AVANCE" style="width:60px">
							<h:outputText  value="#{t.avance}"/>
			
			</p:column>
						<p:column headerText="OPCIONES">
							<p:commandButton title="Editar" icon="pi pi-pencil" style="margin: 10px"/>
							<p:commandButton title="Eliminar" icon="pi pi-times"/>

			
			</p:column>
			
		</p:dataTable>

	</div>
</body>
</html>
